Request
curl -X POST https://sandbox.api.lendeasy.ai /v1/servicing/admin/integration-credentials/$PROVIDER_CODE \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"secretKind": "BUREAU_SFTP_PRIVATE_KEY",
"value": "<write-only>",
"expectedRowVersion": 3
}' await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/admin/integration-credentials/${providerCode}` , {
method: "POST" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotencyKey, "Content-Type" : "application/json" },
body: JSON.stringify({
"secretKind": "BUREAU_SFTP_PRIVATE_KEY",
"value": "<write-only>",
"expectedRowVersion": 3
}),
});requests.post(
f"https://sandbox.api.lendeasy.ai /v1/servicing/admin/integration-credentials/{provider_code}" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotency_key},
json={
"secretKind": "BUREAU_SFTP_PRIVATE_KEY",
"value": "<write-only>",
"expectedRowVersion": 3
},
)200 400 401 403 404 409
{
"resourceId": 412 ,
"changes": {
"secretKind": "BUREAU_SFTP_PRIVATE_KEY",
"fingerprint": "a91c4f0d77be",
"rotatedAt": "2026-09-09T14: 22 : 31. 482Z",
"developmentKey": true ,
"rowVersion": 4
}
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "409",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "idempotency.request.in.flight",
"errors": []
}